Last modified: 2012-06-27 22:46:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35574 - Add support for Git in ExtensionDistributor
Add support for Git in ExtensionDistributor
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ExtensionDistributor (Other open bugs)
unspecified
All All
: Normal normal (vote)
: MW 1.20 version
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 22596 36802
  Show dependency treegraph
 
Reported: 2012-03-28 21:24 UTC by jdk370
Modified: 2012-06-27 22:46 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description jdk370 2012-03-28 21:24:33 UTC
no way to get extensions from snapshot (since now in git)
Comment 1 Tim Starling 2012-03-28 21:27:41 UTC
Only 121 extensions out of 680 are in git. If we switch ExtensionDistributor over to Git then we'd lose the bulk of the extensions.
Comment 2 jdk370 2012-03-28 21:44:25 UTC
well, maybe not now, but later
Comment 3 Sam Reed (reedy) 2012-03-28 23:15:28 UTC
(In reply to comment #1)
> Only 121 extensions out of 680 are in git. If we switch ExtensionDistributor
> over to Git then we'd lose the bulk of the extensions.

We could make a "githead" branch, and allow downloading from either. Not the tidiest (and also potentially confusing to some users), but it would work.

Needs the changes I made backporting, but that part is relatively trivial
Comment 4 Mark A. Hershberger 2012-04-02 17:53:00 UTC
commenting for confirmation
Comment 5 Krinkle 2012-04-18 02:11:15 UTC
Also note that, contrary to how we managed extensions on the Subversion server, on the Git server every extension has its own repository. Which means they are no longer automatically branched with core.

In a way this is a good thing because it means there won't be any ghost branches that the extensions maintainer never choose for. On the other hand it means that:
* There is no longer a generic known set of branch names that both core and extensions will all have
* Extension maintainers have to branch themselves.

So ExtensionDistributor would have to fetch a list of branches and tags from the repo itself after the extension repo is selected on the first page (rather then knowing ahead of time which branches there will be).

Also, I'm not sure we have to choose between git or svn, as far as I'm concerned we can just support both. If need be the code may have to be slightly adjusted but I don't think it's anything major.

It would periodically pull all repo's from Git that start with "mediawiki/extensions/" (just like it currently already `svn up`'s periodically all of [mediawiki]/trunk/extensions and a select number of branches).

And then in the interface it could either mix the names alphabetically, or if there is ambiguity it could add " (git)" / " (svn)" to the <option> name. And for svn it still uses the selected branches and for Git it fetches available tags/branches.
Comment 6 Sam Reed (reedy) 2012-05-03 14:45:17 UTC
Git support exists. Might need some work for extension branches in the future, but considering we don't have a format for doing this yet, support can't be added
Comment 7 Krinkle 2012-06-27 22:46:59 UTC
(In reply to comment #6)
> Git support exists. Might need some work for extension branches in the future,
> but considering we don't have a format for doing this yet, support can't be
> added

bug 38012.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links